/*
 * dbg.c
 *
 */
#include <l4/sys/syscalls.h>
#include <l4/sys/kdebug.h>
#include <l4/sys/types.h>
#include <l4/sys/ipc.h>
#include <l4/sys/idt.h>

#include <l4/util/util.h>

void gdb_init(void);

extern void set_debug_traps(void); 
extern void breakpoint(void); 
extern void log(const char*);


/*
 * A simple debugee
 */

void gdb_init(void)
{
    char byte;
    char buf[80];
    
    log("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
    log("Starting dbg\n");

    enter_kdebug("set_debug_traps");
    set_debug_traps();

    log("executing breakpoint()\n");
    l4_sprintf(buf, "Hallo, Ihr %d Heizer!\n", 12);
    log(buf); 
    
    breakpoint();

    byte = 4;
    byte = byte *2;
    byte /= 0;

    log("Ending dbg.\n");
    while(1);

}

















