/*
 * $Id: _exit.c,v 1.2 1999/04/29 12:29:54 hohmuth Exp $
 */

/*****************************************************************************
 * liboskit_support/src/_exit.c                                              *
 * OSKit support functions                                                   *
 *****************************************************************************/

/* L4 includes */
#include <l4/sys/types.h>
#include <l4/sys/ipc.h>
#include <l4/sys/syscalls.h>
#include <l4/sys/kdebug.h>

/* OSKit includes */
#include <stdio.h>

#include <flux/machine/pc/reset.h>

/*****************************************************************************
 * exit                                                                      *
 *****************************************************************************/
void _exit(int fd)
{
  char c;

  printf("\nReturn reboots, \"k\" enters L4 kernel debugger...\n");

  c = getchar();

  if (c == 'k' || c == 'K') 
    enter_kdebug("before reboot");

  pc_reset();
}

