/* 
 * $Id: irq.h,v 1.1 1999/09/23 10:08:21 jork Exp $
 */
#ifndef __L4_IRQ_H__ 
#define __L4_IRQ_H__ 

#include <l4/compiler.h>

L4_INLINE void irq_acknowledge(unsigned int irq);


/* Acknowledge the given irq. Special fully nested mode of the pic is assumed
   like in L4. 
*/
L4_INLINE void irq_acknowledge(unsigned int irq){
    if (irq > 7){
      outb(0xA0,0x20);
      outb(0xA0,0x0B);
      if (inb(0xA0) == 0)  outb(0x20, 0x20);
    }else{
      outb(0x20,0x20);
    }
};

#endif
